namespace Tinkerforge
{
    public static class ELoadCell
    {
        public static (byte Rate, byte Gain) GetConfiguration(this BrickletLoadCell loadCell)
        {
            loadCell.GetConfiguration(out byte rate, out byte gain);
            return (rate, gain);
        }

        public static (char Option, int Min, int Max) GetWeightCallbackThreshold(this BrickletLoadCell loadCell)
        {
            loadCell.GetWeightCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

    }
}
